Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.databeans
Class ChartRenderer

    java.lang.Object
      |
      +--oracle.jdeveloper.html.WebBeanImpl
            |
            +--oracle.jdeveloper.html.DataWebBeanImpl
                  |
                  +--oracle.jbo.html.databeans.ChartRenderer

public class ChartRenderer
extends DataWebBeanImpl
implements javax.servlet.http.HttpSessionBindingListener

Chart web bean to render chart as GIF files.

This bean renders the view as a chart GIF image. It internally uses Perspective bean to render the data as GIF. This bean is made is exposed through getChart() method.

Usage :

      <jsp:useBean   class="oracle.jbo.html.databeans.ChartRenderer id="c"  scope="request" >

      <%

         c.setReleaseApplicationResources(false);
         c.initialize(application,session, request,response,out,"package23_Package23Module.EmpView");

         c.getChart().setTitleString("Leading company Corp.");
         c.getChart().setSubtitleString("Employee Sales-Commision chart");
         c.getChart().setFootnoteString("Year-1999-2000");
         c.setMappingColumnNames("Sal,Comm"); // draw these column's
         c.setSeriesLabelColumnName("Ename"); // use this column as series label
         c.setImageWidth(600);
         c.setImageHeight(600);
         c.execute();
       %>

       </jsp:useBean>

       //ChartCommon.jsp

Version:
  PUBLIC
See Also:
  `Perspective`

Field Summary
`static int` | `BUBBLE_CHART`
`static int` | `BUBBLE_CHART_DUAL_AXIS`
`static int` | `BUBBLE_CHART_LABELS`
`static int` | `BUBBLE_CHART_LABELS_DUAL_AXIS`
`static int` | `CANDLE_STOCK_HI_LO_OPEN_CLOSE`
`static int` | `CANDLE_STOCK_HI_LO_OPEN_CLOSE_VOLUME`
`protected static boolean` | `cleanupRegistered` register listener to clean up
`protected java.lang.String` | `commonScriptName` name of the common jsp file which is shared by all chart objects The common jsp file invokes the render method.
`static int` | `HORIZONTAL_ABSOLUTE_AREA`
`static int` | `HORIZONTAL_ABSOLUTE_LINE`
`static int` | `HORIZONTAL_BI_POLAR_ABSOLUTE_AREA`
`static int` | `HORIZONTAL_BI_POLAR_ABSOLUTE_LINE`
`static int` | `HORIZONTAL_BI_POLAR_CLUSTERED_BARS`
`static int` | `HORIZONTAL_BI_POLAR_STACKED_AREA`
`static int` | `HORIZONTAL_BI_POLAR_STACKED_BARS`
`static int` | `HORIZONTAL_BI_POLAR_STACKED_LINE`
`static int` | `HORIZONTAL_CLUSTERED_BARS`
`static int` | `HORIZONTAL_DUAL_AXIS_ABSOLUTE_LINE`
`static int` | `HORIZONTAL_DUAL_AXIS_CLUSTERED_BARS`
`static int` | `HORIZONTAL_DUAL_AXIS_STACKED_BARS`
`static int` | `HORIZONTAL_DUAL_AXIS_STACKED_LINE`
`static int` | `HORIZONTAL_HISTOGRAM`
`static int` | `HORIZONTAL_PERCENT_AREA`
`static int` | `HORIZONTAL_PERCENT_BARS`
`static int` | `HORIZONTAL_PERCENT_LINE`
`static int` | `HORIZONTAL_STACKED_AREA`
`static int` | `HORIZONTAL_STACKED_BARS`
`static int` | `HORIZONTAL_STACKED_LINE`
`protected static java.lang.String` | `ID` used in the url to identify the chart id
`static int` | `MULTI_PIE`
`static int` | `MULTI_PROPORTIONAL_PIE`
`static int` | `MULTI_PROPORTIONAL_RING_PIE`
`static int` | `MULTI_RING_PIE`
`static int` | `OPEN_HI_LO_CLOSE_CANDLE_STOCK_CHART`
`static int` | `OPEN_HI_LO_CLOSE_CANDLE_STOCK_CHART_VOLUME`
`static int` | `PIE`
`static int` | `PIE_BAR_CHART`
`static int` | `POLAR`
`static int` | `POLAR_DUAL_AXIS`
`protected static java.lang.String` | `prefixString` unique prefix., used while generating key for image objects stored in the session.
`static int` | `RADAR_AREA`
`static int` | `RADAR_LINE`
`static int` | `RADAR_LINE_DUAL_AXIS`
`static int` | `RING_PIE`
`static int` | `RING_PIE_BAR_CHART`
`static int` | `SPECTRAL_MAP`
`static int` | `STOCK_HI_LO`
`static int` | `STOCK_HI_LO_BI_POLAR`
`static int` | `STOCK_HI_LO_CLOSE`
`static int` | `STOCK_HI_LO_CLOSE_DUAL_AXIS`
`static int` | `STOCK_HI_LO_DUAL_AXIS`
`static int` | `STOCK_HI_LO_OPEN_CLOSE`
`static int` | `STOCK_HI_LO_OPEN_CLOSE_BI_POLAR`
`static int` | `STOCK_HI_LO_OPEN_CLOSE_DUAL_AXIS`
`static int` | `STOCK_HI_LO_OPEN_CLOSE_VOLUME`
`static int` | `STOCK_HI_LO_VOLUME`
`static int` | `THREED_BARS`
`static int` | `THREED_FLOATING_CONNECTED_GROUP_AREA`
`static int` | `THREED_FLOATING_CONNECTED_GROUP_RIBBON`
`static int` | `THREED_FLOATING_CONNECTED_SERIES_AREA`
`static int` | `THREED_FLOATING_CONNECTED_SERIES_RIBBON`
`static int` | `THREED_FLOATING_CUBES`
`static int` | `THREED_FLOATING_PYRAMIDS`
`static int` | `THREED_HONEYCOMB_SURFACE`
`static int` | `THREED_OCTAGONS`
`static int` | `THREED_PYRAMIDS`
`static int` | `THREED_SURFACE`
`static int` | `THREED_SURFACE_WITH_SIDES`
`static int` | `VERTICAL_ABSOLUTE_AREA`
`static int` | `VERTICAL_ABSOLUTE_LINE`
`static int` | `VERTICAL_BI_POLAR_ABSOLUTE_AREA`
`static int` | `VERTICAL_BI_POLAR_ABSOLUTE_LINE`
`static int` | `VERTICAL_BI_POLAR_CLUSTERED_BARS`
`static int` | `VERTICAL_BI_POLAR_STACKED_AREA`
`static int` | `VERTICAL_BI_POLAR_STACKED_BARS`
`static int` | `VERTICAL_BI_POLAR_STACKED_LINE`
`static int` | `VERTICAL_CLUSTERED_BARS`
`static int` | `VERTICAL_DUAL_AXIS_ABSOLUTE_LINE`
`static int` | `VERTICAL_DUAL_AXIS_CLUSTERED_BARS`
`static int` | `VERTICAL_DUAL_AXIS_STACKED_BARS`
`static int` | `VERTICAL_DUAL_AXIS_STACKED_LINE`
`static int` | `VERTICAL_HISTOGRAM`
`static int` | `VERTICAL_PERCENT_AREA`
`static int` | `VERTICAL_PERCENT_BARS`
`static int` | `VERTICAL_PERCENT_LINE`
`static int` | `VERTICAL_STACKED_AREA`
`static int` | `VERTICAL_STACKED_BARS`
`static int` | `VERTICAL_STACKED_LINE`
`static java.lang.String` | `VIEWNAME` used in the url to idenfiy the view name
`static int` | `XY_SCATTER`
`static int` | `XY_SCATTER_DUAL_AXIS`
`static int` | `XY_SCATTER_WITH_LABELS`
`static int` | `XY_SCATTER_WITH_LABELS_DUAL_AXIS`

Fields inherited from class oracle.jdeveloper.html.DataWebBeanImpl
`attributeRenderers, bReleaseApplication, dispAttrs, qView, sApplication, sRowSetName`

Fields inherited from class oracle.jdeveloper.html.WebBeanImpl
`application, ctx, out, page, request, response, session`

Constructor Summary
`ChartRenderer()` Constructor

Method Summary
`void` | `execute()` render chart.
`protected void` | `execute(java.lang.Object o)`
`protected void` | `generateImage(ChartRenderer c)` generate the GIF file and serve the image
`protected java.lang.String` | `generateUniqueId()` generated an unique id to identify chart., used in the url parameter
`tdg.Perspective` | `getChart()` get the Perspective bean which does the rendering.
`protected oracle.jbo.html.databeans.chart.RowOrderChartDataSource` | `getChartDataSource()` get the chart data source
`java.lang.String` | `getCommonScriptName()`
`java.util.Vector` | `getDisplayAttributes()` get the current list of mapped columns
`java.lang.String` | `getDisplayColumnIndices()` get list of column indices from the View object which is used to draw chart.
`int` | `getImageHeight()` get the width of the chart image to be generated
`int` | `getImageWidth()` get the width of the chart image to be generated
`java.lang.String` | `getSeriesLabelColumnName()` get the name of the column in the view object which is currently used as series labels.
`void` | `internalInitialize()` Internal initialize.
`protected void` | `processElement(java.lang.String k, java.lang.String val)` set property for a given name-value pair
`protected void` | `processUrlProperties(java.util.Hashtable h)` For each property name-value pair speicifed in the URL, invoke the set method on the bean
`protected void` | `readUrlProperties()` One or more property values for the ChartRenderer or the Perspective bean can be passed in the URL.
`protected void` | `registerCleanup()` register HTTP Session binding listner to cleanup the chart objects generated in this session
`void` | `render()` Generates a IMG tag pointing to the common JSP page to generate the chart.
`void` | `setCommonScriptName(java.lang.String name)` Specify the JSP file which generates the chart.
`void` | `setDisplayAttributes(java.lang.String s)` Specify mapping description using columnNames.
`void` | `setDisplayColumnIndices(java.lang.String indices)` Specify mapping description using column indices.
`void` | `setImageHeight(int height)` set the height of the chart image to be generated
`void` | `setImageWidth(int width)` set the width of the chart to be generated.
`void` | `setSeriesLabelColumnName(java.lang.String columnName)` Specify the name of the column in the ViewObject which should be used as series labels
`protected void` | `unregisterCleanup()` unregister HTTP Session binding listner used to cleanup the chart objects generated in this session
`void` | `valueBound(javax.servlet.http.HttpSessionBindingEvent event)`
`void` | `valueUnbound(javax.servlet.http.HttpSessionBindingEvent event)`

Methods inherited from class oracle.jdeveloper.html.DataWebBeanImpl
`clearDisplayAttributes, getApplicationFromContext, getApplicationName, getAttributeLabel, getDisplayAttributeDefs, getDisplayFieldRenderer, getEditFieldRenderer, getRowFromKey, getRowKey, getRowSet, getViewObjectName, handleCommit, initialize, initialize, initialize, isAppStateful, releaseApplicationResources, releaseApplicationResources, setDisplayFieldRenderer, setDisplayFieldRenderer, setEditFieldRenderer, setEditFieldRenderer, setReleaseApplicationResources, setRowSet, shouldDisplayAttribute`

Methods inherited from class oracle.jdeveloper.html.WebBeanImpl
`generateScriptSrc, getCookie, getOut, getRenderingContext, getRequest, getRequestVariable, getUniqueName, initBeanForJS, initialize, initialize, initialize, render, setRequestVariable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### THREED_BARS

    public static final int THREED_BARS

### THREED_PYRAMIDS

    public static final int THREED_PYRAMIDS

### THREED_OCTAGONS

    public static final int THREED_OCTAGONS

### THREED_FLOATING_CUBES

    public static final int THREED_FLOATING_CUBES

### THREED_FLOATING_PYRAMIDS

    public static final int THREED_FLOATING_PYRAMIDS

### THREED_FLOATING_CONNECTED_SERIES_AREA

    public static final int THREED_FLOATING_CONNECTED_SERIES_AREA

### THREED_FLOATING_CONNECTED_SERIES_RIBBON

    public static final int THREED_FLOATING_CONNECTED_SERIES_RIBBON

### THREED_FLOATING_CONNECTED_GROUP_AREA

    public static final int THREED_FLOATING_CONNECTED_GROUP_AREA

### THREED_FLOATING_CONNECTED_GROUP_RIBBON

    public static final int THREED_FLOATING_CONNECTED_GROUP_RIBBON

### THREED_SURFACE

    public static final int THREED_SURFACE

### THREED_SURFACE_WITH_SIDES

    public static final int THREED_SURFACE_WITH_SIDES

### THREED_HONEYCOMB_SURFACE

    public static final int THREED_HONEYCOMB_SURFACE

### VERTICAL_CLUSTERED_BARS

    public static final int VERTICAL_CLUSTERED_BARS

### VERTICAL_STACKED_BARS

    public static final int VERTICAL_STACKED_BARS

### VERTICAL_DUAL_AXIS_CLUSTERED_BARS

    public static final int VERTICAL_DUAL_AXIS_CLUSTERED_BARS

### VERTICAL_DUAL_AXIS_STACKED_BARS

    public static final int VERTICAL_DUAL_AXIS_STACKED_BARS

### VERTICAL_BI_POLAR_CLUSTERED_BARS

    public static final int VERTICAL_BI_POLAR_CLUSTERED_BARS

### VERTICAL_BI_POLAR_STACKED_BARS

    public static final int VERTICAL_BI_POLAR_STACKED_BARS

### VERTICAL_PERCENT_BARS

    public static final int VERTICAL_PERCENT_BARS

### HORIZONTAL_CLUSTERED_BARS

    public static final int HORIZONTAL_CLUSTERED_BARS

### HORIZONTAL_STACKED_BARS

    public static final int HORIZONTAL_STACKED_BARS

### HORIZONTAL_DUAL_AXIS_CLUSTERED_BARS

    public static final int HORIZONTAL_DUAL_AXIS_CLUSTERED_BARS

### HORIZONTAL_DUAL_AXIS_STACKED_BARS

    public static final int HORIZONTAL_DUAL_AXIS_STACKED_BARS

### HORIZONTAL_BI_POLAR_CLUSTERED_BARS

    public static final int HORIZONTAL_BI_POLAR_CLUSTERED_BARS

### HORIZONTAL_BI_POLAR_STACKED_BARS

    public static final int HORIZONTAL_BI_POLAR_STACKED_BARS

### HORIZONTAL_PERCENT_BARS

    public static final int HORIZONTAL_PERCENT_BARS

### VERTICAL_ABSOLUTE_AREA

    public static final int VERTICAL_ABSOLUTE_AREA

### VERTICAL_STACKED_AREA

    public static final int VERTICAL_STACKED_AREA

### VERTICAL_BI_POLAR_ABSOLUTE_AREA

    public static final int VERTICAL_BI_POLAR_ABSOLUTE_AREA

### VERTICAL_BI_POLAR_STACKED_AREA

    public static final int VERTICAL_BI_POLAR_STACKED_AREA

### VERTICAL_PERCENT_AREA

    public static final int VERTICAL_PERCENT_AREA

### HORIZONTAL_ABSOLUTE_AREA

    public static final int HORIZONTAL_ABSOLUTE_AREA

### HORIZONTAL_STACKED_AREA

    public static final int HORIZONTAL_STACKED_AREA

### HORIZONTAL_BI_POLAR_ABSOLUTE_AREA

    public static final int HORIZONTAL_BI_POLAR_ABSOLUTE_AREA

### HORIZONTAL_BI_POLAR_STACKED_AREA

    public static final int HORIZONTAL_BI_POLAR_STACKED_AREA

### HORIZONTAL_PERCENT_AREA

    public static final int HORIZONTAL_PERCENT_AREA

### VERTICAL_ABSOLUTE_LINE

    public static final int VERTICAL_ABSOLUTE_LINE

### VERTICAL_STACKED_LINE

    public static final int VERTICAL_STACKED_LINE

### VERTICAL_DUAL_AXIS_ABSOLUTE_LINE

    public static final int VERTICAL_DUAL_AXIS_ABSOLUTE_LINE

### VERTICAL_DUAL_AXIS_STACKED_LINE

    public static final int VERTICAL_DUAL_AXIS_STACKED_LINE

### VERTICAL_BI_POLAR_ABSOLUTE_LINE

    public static final int VERTICAL_BI_POLAR_ABSOLUTE_LINE

### VERTICAL_BI_POLAR_STACKED_LINE

    public static final int VERTICAL_BI_POLAR_STACKED_LINE

### VERTICAL_PERCENT_LINE

    public static final int VERTICAL_PERCENT_LINE

### HORIZONTAL_ABSOLUTE_LINE

    public static final int HORIZONTAL_ABSOLUTE_LINE

### HORIZONTAL_STACKED_LINE

    public static final int HORIZONTAL_STACKED_LINE

### HORIZONTAL_DUAL_AXIS_ABSOLUTE_LINE

    public static final int HORIZONTAL_DUAL_AXIS_ABSOLUTE_LINE

### HORIZONTAL_DUAL_AXIS_STACKED_LINE

    public static final int HORIZONTAL_DUAL_AXIS_STACKED_LINE

### HORIZONTAL_BI_POLAR_ABSOLUTE_LINE

    public static final int HORIZONTAL_BI_POLAR_ABSOLUTE_LINE

### HORIZONTAL_BI_POLAR_STACKED_LINE

    public static final int HORIZONTAL_BI_POLAR_STACKED_LINE

### HORIZONTAL_PERCENT_LINE

    public static final int HORIZONTAL_PERCENT_LINE

### PIE

    public static final int PIE

### RING_PIE

    public static final int RING_PIE

### MULTI_PIE

    public static final int MULTI_PIE

### MULTI_RING_PIE

    public static final int MULTI_RING_PIE

### MULTI_PROPORTIONAL_PIE

    public static final int MULTI_PROPORTIONAL_PIE

### MULTI_PROPORTIONAL_RING_PIE

    public static final int MULTI_PROPORTIONAL_RING_PIE

### PIE_BAR_CHART

    public static final int PIE_BAR_CHART

### RING_PIE_BAR_CHART

    public static final int RING_PIE_BAR_CHART

### XY_SCATTER

    public static final int XY_SCATTER

### XY_SCATTER_DUAL_AXIS

    public static final int XY_SCATTER_DUAL_AXIS

### XY_SCATTER_WITH_LABELS

    public static final int XY_SCATTER_WITH_LABELS

### XY_SCATTER_WITH_LABELS_DUAL_AXIS

    public static final int XY_SCATTER_WITH_LABELS_DUAL_AXIS

### POLAR

    public static final int POLAR

### POLAR_DUAL_AXIS

    public static final int POLAR_DUAL_AXIS

### RADAR_LINE

    public static final int RADAR_LINE

### RADAR_AREA

    public static final int RADAR_AREA

### RADAR_LINE_DUAL_AXIS

    public static final int RADAR_LINE_DUAL_AXIS

### OPEN_HI_LO_CLOSE_CANDLE_STOCK_CHART

    public static final int OPEN_HI_LO_CLOSE_CANDLE_STOCK_CHART

### OPEN_HI_LO_CLOSE_CANDLE_STOCK_CHART_VOLUME

    public static final int OPEN_HI_LO_CLOSE_CANDLE_STOCK_CHART_VOLUME

### CANDLE_STOCK_HI_LO_OPEN_CLOSE

    public static final int CANDLE_STOCK_HI_LO_OPEN_CLOSE

### STOCK_HI_LO

    public static final int STOCK_HI_LO

### STOCK_HI_LO_DUAL_AXIS

    public static final int STOCK_HI_LO_DUAL_AXIS

### STOCK_HI_LO_BI_POLAR

    public static final int STOCK_HI_LO_BI_POLAR

### STOCK_HI_LO_CLOSE

    public static final int STOCK_HI_LO_CLOSE

### STOCK_HI_LO_CLOSE_DUAL_AXIS

    public static final int STOCK_HI_LO_CLOSE_DUAL_AXIS

### STOCK_HI_LO_OPEN_CLOSE

    public static final int STOCK_HI_LO_OPEN_CLOSE

### STOCK_HI_LO_OPEN_CLOSE_DUAL_AXIS

    public static final int STOCK_HI_LO_OPEN_CLOSE_DUAL_AXIS

### STOCK_HI_LO_OPEN_CLOSE_BI_POLAR

    public static final int STOCK_HI_LO_OPEN_CLOSE_BI_POLAR

### STOCK_HI_LO_VOLUME

    public static final int STOCK_HI_LO_VOLUME

### STOCK_HI_LO_OPEN_CLOSE_VOLUME

    public static final int STOCK_HI_LO_OPEN_CLOSE_VOLUME

### CANDLE_STOCK_HI_LO_OPEN_CLOSE_VOLUME

    public static final int CANDLE_STOCK_HI_LO_OPEN_CLOSE_VOLUME

### VERTICAL_HISTOGRAM

    public static final int VERTICAL_HISTOGRAM

### HORIZONTAL_HISTOGRAM

    public static final int HORIZONTAL_HISTOGRAM

### SPECTRAL_MAP

    public static final int SPECTRAL_MAP

### BUBBLE_CHART

    public static final int BUBBLE_CHART

### BUBBLE_CHART_LABELS

    public static final int BUBBLE_CHART_LABELS

### BUBBLE_CHART_DUAL_AXIS

    public static final int BUBBLE_CHART_DUAL_AXIS

### BUBBLE_CHART_LABELS_DUAL_AXIS

    public static final int BUBBLE_CHART_LABELS_DUAL_AXIS

### cleanupRegistered

    protected static boolean cleanupRegistered

  register listener to clean up

### prefixString

    protected static java.lang.String prefixString

  unique prefix., used while generating key for image objects stored in the session. Later used in cleanup when the session expires

### ID

    protected static final java.lang.String ID

  used in the url to identify the chart id

### VIEWNAME

    public static final java.lang.String VIEWNAME

  used in the url to idenfiy the view name

### commonScriptName

    protected java.lang.String commonScriptName

  name of the common jsp file which is shared by all chart objects The common jsp file invokes the render method. All other chart reference invoke the execute method

Constructor Detail

### ChartRenderer

    public ChartRenderer()

  Constructor

Method Detail

### internalInitialize

    public void internalInitialize()
                            throws java.lang.Exception

  Description copied from interface: WebBean
  Internal initialize. This method should be overriden by any WebBean needing to initialize some internal data after all the base class member have been initialize properly.
  Overrides:
    internalInitialize in class DataWebBeanImpl

### setDisplayAttributes

    public void setDisplayAttributes(java.lang.String s)

  Specify mapping description using columnNames.
  Overrides:
    setDisplayAttributes in class DataWebBeanImpl
  Parameters:
    `s` - List of column names in the underlying View object The resultant data source will have as column 0, column values from the view object whose column name is columnNames[0] and so on. A Comma seperated list should be provided (ex) "comm,deptno,sales"
  See Also:
    `setDisplayColumnIndices()`

### getDisplayAttributes

    public java.util.Vector getDisplayAttributes()

  get the current list of mapped columns
  Overrides:
    getDisplayAttributes in class DataWebBeanImpl
  Returns:
    list of columns from the View which is used to draw chart.

### setDisplayColumnIndices

    public void setDisplayColumnIndices(java.lang.String indices)

  Specify mapping description using column indices. This is an alternative way to specify the columns from the ViewObject which are used to draw chart.
  Parameters:
    `indices` - List of column indices in the underlying View object The resultant data source will have as column 0, column values from the view object whose column index is indices[0] and so on.

### getDisplayColumnIndices

    public java.lang.String getDisplayColumnIndices()

  get list of column indices from the View object which is used to draw chart.
  Returns:
    list of column indices - comma seperated.

### setSeriesLabelColumnName

    public void setSeriesLabelColumnName(java.lang.String columnName)

  Specify the name of the column in the ViewObject which should be used as series labels
  Parameters:
    `name` - of the column in the viewobject whose values should be used as series labels.

### getSeriesLabelColumnName

    public java.lang.String getSeriesLabelColumnName()

  get the name of the column in the view object which is currently used as series labels.

### render

    public void render()

  Generates a IMG tag pointing to the common JSP page to generate the chart. This object is stored in the HttpSession and an identifier is passed in the URL.
  Overrides:
    render in class WebBeanImpl
  See Also:
    `execute()`

### execute

    public void execute()

  render chart. This method generates the chart for this object or if a chart is specified in the URL, generates the chart for the specified object.
  See Also:

### execute

    protected void execute(java.lang.Object o)

### setImageWidth

    public void setImageWidth(int width)

  set the width of the chart to be generated.
  Parameters:
    `width` - of the chart to be generated

### getImageWidth

    public int getImageWidth()

  get the width of the chart image to be generated
  Returns:
    current width of the chart.

### setImageHeight

    public void setImageHeight(int height)

  set the height of the chart image to be generated
  Parameters:
    `height` - Height of the chart image generated

### getImageHeight

    public int getImageHeight()

  get the width of the chart image to be generated
  Returns:
    current width of the chart.

### getChart

    public tdg.Perspective getChart()

  get the Perspective bean which does the rendering.
  Returns:
    the chart bean

### setCommonScriptName

    public void setCommonScriptName(java.lang.String name)

  Specify the JSP file which generates the chart. This JSP file instantiates a chart object and invokes the render method.

### getCommonScriptName

    public java.lang.String getCommonScriptName()

### readUrlProperties

    protected void readUrlProperties()

  One or more property values for the ChartRenderer or the Perspective bean can be passed in the URL. The name-value pairs are parsed and the value is set on the bean. The following files contains the list of properties for PFJ bean and the chart bean PFJ_PROPERTIES_FILE_NAME, CHART_RENDERER_PROPERTIES_FILE_NAME

### processUrlProperties

    protected void processUrlProperties(java.util.Hashtable h)

  For each property name-value pair speicifed in the URL, invoke the set method on the bean

### processElement

    protected void processElement(java.lang.String k,
                                  java.lang.String val)

  set property for a given name-value pair

### generateImage

    protected void generateImage(ChartRenderer c)

  generate the GIF file and serve the image

### getChartDataSource

    protected oracle.jbo.html.databeans.chart.RowOrderChartDataSource getChartDataSource()

  get the chart data source

### registerCleanup

    protected void registerCleanup()

  register HTTP Session binding listner to cleanup the chart objects generated in this session

### unregisterCleanup

    protected void unregisterCleanup()

  unregister HTTP Session binding listner used to cleanup the chart objects generated in this session

### generateUniqueId

    protected java.lang.String generateUniqueId()

  generated an unique id to identify chart., used in the url parameter

### valueBound

    public void valueBound(javax.servlet.http.HttpSessionBindingEvent event)

  Specified by:
    valueBound in interface javax.servlet.http.HttpSessionBindingListener

### valueUnbound

    public void valueUnbound(javax.servlet.http.HttpSessionBindingEvent event)

  Specified by:
    valueUnbound in interface javax.servlet.http.HttpSessionBindingListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD